Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class Ref3DPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperandPtg
              org.apache.poi.hssf.record.formula.RefPtgBase
                  org.apache.poi.hssf.record.formula.Ref3DPtg

All Implemented Interfaces:
  java.lang.Cloneable, ExternSheetReferenceToken, WorkbookDependentFormula

    public final class Ref3DPtg

extends RefPtgBase
implements WorkbookDependentFormula, ExternSheetReferenceToken

Title: Reference 3D Ptg

Description: Defined a cell in extern sheet.

REFERENCE:

Author:
  Libin Roman (Vista Portal LDT. Developer), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`Ref3DPtg(CellReference c, int externIdx)`
`Ref3DPtg(LittleEndianInput in)`
`Ref3DPtg(java.lang.String cellref, int externIdx)`

Method Summary
`java.lang.String` | `format2DRefAsString()`
`int` | `getExternSheetIndex()`
`int` | `getSize()`
`void` | `setExternSheetIndex(int index)`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`java.lang.String` | `toFormulaString(FormulaRenderingWorkbook book)`
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.hssf.record.formula.RefPtgBase
`getColumn, getDefaultOperandClass, getRow, isColRelative, isRowRelative, setColRelative, setColumn, setRow, setRowRelative`

Methods inherited from class org.apache.poi.hssf.record.formula.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### Ref3DPtg

    public Ref3DPtg(LittleEndianInput in)

### Ref3DPtg

    public Ref3DPtg(java.lang.String cellref,
                    int externIdx)

### Ref3DPtg

    public Ref3DPtg(CellReference c,
                    int externIdx)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### getExternSheetIndex

    public int getExternSheetIndex()

  Specified by:
    `getExternSheetIndex` in interface `ExternSheetReferenceToken`

### setExternSheetIndex

    public void setExternSheetIndex(int index)

### format2DRefAsString

    public java.lang.String format2DRefAsString()

  Specified by:
    `format2DRefAsString` in interface `ExternSheetReferenceToken`
  Returns:
    formula text for this reference token without the qualifying sheet name

### toFormulaString

    public java.lang.String toFormulaString(FormulaRenderingWorkbook book)

  Specified by:
    `toFormulaString` in interface `WorkbookDependentFormula`
  Returns:
    text representation of this cell reference that can be used in text formulas. The sheet name will get properly delimited if required.

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD